/***************************************************************************************************
*  This file was created to call context sensitive WebHelp version 5.0 (RoboHelp version 2002).  
*  Using this API, each instance of NPM/IP will be allowed to have a maximum of 4 help windows 
*  open simultaneously:  one window for the main help (accessed from the blue toolbar), 
*  one window for the main embedded help (accessed through "?"s embedded in the GUI), one window
*  for SNMP main help (accessed from SNMP's blue toolbar), and one window for SNMP embedded help
*  (accessed from "?"s within SNMP servlets).  
*
*  KNOWN BUGS WHEN USING NETSCAPE:
*  If multiple sessions of NPM/IP are launched from Netscape, all sessions will share these 
*  four windows.  In addition, the show/hide button and the auto sync TOC features of WebHelp 
*  do not function properly in Netscape 6.0 and 6.01.   
***************************************************************************************************/

var strMainHelpPage = "15_ref_rhc.htm"
var strContextPage
var strHelpWindowOptions = "location=no,toolbar=yes,menubar=no,status=no,scrollbars=yes,resizable=yes,top=4,left=25,width=750,height=520;"
var helpWindow 
var simpleHelpWindow
var counter = 0

function callHelp(strProjectPath, strContextString, strSessionID)
{
      if(strSessionID == null)
      {
         strSessionID = "logon";
      }

      if(strContextString == null)
      {
         strContextString = "";      
      }
     
      strContextPage = strProjectPath + strMainHelpPage + "#context=" + strContextString;
        

      //After leaving one servlet to open the next, any open help windows won't be 
      //acknowledged (helpWindow == null).  This is due to the fact that each servlet
      //has its own independent Java Script environment.  Thus, in order to avoid 
      //having a separate help page for logon and then one for the rest of the application, 
      //we must always open and close the logon help page once.  This achieves closing
      //the logon help page should it happen to be left open from logon.  

      if(counter == 0)
      {
         helpWindow = window.open("", "logon", strHelpWindowOptions);
         helpWindow.close();
         counter = 1;
      }
      
      
      //alert("%-@Help page to be displayed for session " + strSessionID + ": " + strContextPage);
		helpWindow = window.open(strContextPage, strSessionID, strHelpWindowOptions);
		helpWindow.focus();
   
}


//help window is invoked without frames
function callHelpSimple(strProjectPath, strContextString, strSessionID){
   
   if(strContextString == null)
   {
      strContextString = "";      
   }
     
   strContextPage = strProjectPath + strMainHelpPage + "#context=" + strContextString;
     
   //alert("%-@Simple Help page to be displayed for session " + strSessionID + ": " + strContextPage);
   simpleHelpWindow = window.open(strContextPage, "simple" + strSessionID, strHelpWindowOptions);
	simpleHelpWindow.focus();
}

