NPMIP_PG_MenuWidth = 150;
NPMIP_IE5M = NPMIP_IE && NPMIP_Mac;
NPMIP_IE5W = NPMIP_IE && !NPMIP_Mac;
NPMIP_NS6 = (navigator.vendor == ("Netscape6") || navigator.product == ("Gecko"));
NPMIP_IEpos = NPMIP_IE || (NPMIP_NS6 && parseInt(navigator.productSub)>=20010710);
NPMIP_IEDTD = (NPMIP_IE && document.doctype) ? document.doctype.name.indexOf(".dtd")!=-1 : false;
NPMIP_IEnoDTD = NPMIP_IE && !NPMIP_IEDTD;

NPMIP_a_Parameters = [
	["MenuWidth",          150,		"number"],
	["FontFamily",         null],
	["FontSize",           10,		"number"],
	["FontBold",           false,	"boolean"],
	["FontItalic",         false,	"boolean"],
	["FontColor",          "blue"],
	["FontColorOver",      "white"],
	["BGColor",            "white"],
	["BGColorOver",        "black"],
	["ItemPadding",        3,		"number"],
	["BorderWidth",        2,		"number"],
	["BorderColor",        "black"],
	["BorderStyle",        "solid"],
	["SeparatorSize",      2,		"number"],
	["SeparatorColor",     "yellow"],
	["ImageSrc",           null],
	["ImageSrcOver",       null],
	["ImageSrcLeft",       null],
	["ImageSrcLeftOver",   null],
	["ImageSize",          5,		"number"],
	["ImageHorizSpace",    0,		"number"],
	["ImageVertSpace",     2,		"number"],
	["KeepHilite",         true,	"boolean"],
	["ClickStart",         false,	"boolean"],
	["ClickKill",          false,	"boolean"],
	["ChildOverlap",       35,		"number"],
	["ChildOffset",        10,		"number"],
	["ChildPerCentOver",   null,	"number"],
	["TopSecondsVisible",  .5,		"number"],
	["ChildSecondsVisible",.3,		"number"],
	["StatusDisplayBuild", 0,		"boolean"],
	["StatusDisplayLink",  0,		"boolean"],
	["UponDisplay",        null,	"delayed"],
	["UponHide",           null,	"delayed"],
	["RightToLeft",        false,	"boolean"],
	["CreateTopOnly",      0,		"boolean"],
	["ShowLinkCursor",     true,	"boolean"]
]


NPMIP_MenuIDPrefix = "NPMIP_Menu";
NPMIP_ItemIDPrefix = "NPMIP_Item";
NPMIP_ArrayIDPrefix = "NPMIP_Array";
NPMIP_Link = null;

Function.prototype.isFunction = true;
Function.prototype.isString = false;
String.prototype.isFunction = false;
String.prototype.isString = true;
String.prototype.isBoolean = false;
String.prototype.isNumber = false;
Number.prototype.isString = false;
Number.prototype.isFunction = false;
Number.prototype.isBoolean = false;
Number.prototype.isNumber = true;
Boolean.prototype.isString = false;
Boolean.prototype.isFunction = false;
Boolean.prototype.isBoolean = true;
Boolean.prototype.isNumber = false;
Array.prototype.itemValidation = false;
Array.prototype.isArray = true;

if(NPMIP_IE) {
	NPMIP_a_ElementsCreated = [];

	function NPMIP_f_StoreElement(el){
		NPMIP_a_ElementsCreated[NPMIP_a_ElementsCreated.length] = el;
	}
}

function NPMIP_f_AssignParameters(paramarray)
{
	var ParamName = paramarray[0];
	var DefaultValue = paramarray[1];
	var FullParamName = "NPMIP_" + ParamName;
	
	if (typeof eval("window.NPMIP_PG_" + ParamName) == "undefined") 
	{
		if (typeof eval("window.NPMIP_GL_" + ParamName) == "undefined") 
		{
			eval(FullParamName + "= DefaultValue");
		}
		else 
		{
			eval(FullParamName + "= NPMIP_GL_" + ParamName);
		}
	}
	else 
	{
		eval(FullParamName + "= NPMIP_PG_" + ParamName);
	}

	paramarray[0] = FullParamName;
	paramarray[1] = eval(FullParamName);	
}

function NPMIP_f_EvalParameters(valuenew,valueold,valuetype)
{
	var TestString, ParPosition;

	if(typeof valuenew == "undefined" || valuenew == null || (valuenew.isString && valuenew.length == 0)){
		return valueold;
	}

	if(valuetype != "delayed"){
		while(valuenew.isString) {
			ParPosition = valuenew.indexOf("(");
			if(ParPosition !=-1) {
				TestString = "window." + valuenew.substr(0,ParPosition);
				if (typeof eval(TestString) != "undefined" && eval(TestString).isFunction) {
					valuenew = eval(valuenew);
				}
			}
			else break
		}
	}

	while(valuenew.isFunction) {valuenew = valuenew()}

	switch(valuetype){	
		case "number":
			while (valuenew.isString) {valuenew = eval(valuenew)}
			break;
		case "boolean":
			while (!valuenew.isBoolean) {
				valuenew = (valuenew.isNumber) ? valuenew ? true : false : eval(valuenew);
			}
			break;
	}

	return valuenew;
}

for (i=0;i<NPMIP_a_Parameters.length;i++) 
{
	NPMIP_f_AssignParameters(NPMIP_a_Parameters[i]);	
	eval(NPMIP_a_Parameters[i][0] + "= NPMIP_f_EvalParameters("+ NPMIP_a_Parameters[i][0] +",null,NPMIP_a_Parameters[i][2])")
}

NPMIP_ChildPerCentOver = (isNaN(parseFloat(NPMIP_ChildPerCentOver))) ? null : parseFloat(NPMIP_ChildPerCentOver)/100;

NPMIP_ChildMilliSecondsVisible = NPMIP_ChildSecondsVisible * 1000;

function NPMIP_f_ValidateArray(arrayname){
	var MenuArrayIsValid = false;
	var MenuArrayIsObject = (typeof eval("window." + arrayname) == "object");
	if(MenuArrayIsObject) { 
		var TheMenuArray = eval(arrayname);
		if(TheMenuArray.isArray && TheMenuArray.length > 1) {
			MenuArrayIsValid = true;
			if(!TheMenuArray.itemValidation) {
				while((typeof TheMenuArray[TheMenuArray.length-1] != "object") || (!TheMenuArray[TheMenuArray.length-1].isArray)) {
					TheMenuArray.length--;
				}
				TheMenuArray.itemValidation = true;
			}
		}
	}
	return MenuArrayIsValid;
}

if(!window.NPMIP_a_TreesToBuild) 
{
	NPMIP_a_TreesToBuild = [];
	for(i = 1; i < NPMIP_a_NumTreesToBuild; i++)
	{
		if(NPMIP_f_ValidateArray(NPMIP_ArrayIDPrefix + i)) NPMIP_a_TreesToBuild[NPMIP_a_TreesToBuild.length] = i;
	}
}

NPMIP_CurrentArray = null;
NPMIP_CurrentTree  = null;
NPMIP_CurrentMenu  = null;
NPMIP_CurrentItem  = null;
NPMIP_a_TopMenus = [];
NPMIP_AreLoaded = false;
NPMIP_AreCreated = false;
NPMIP_BeingCreated = false;
NPMIP_UserOverMenu = false;
NPMIP_HideAllTimer = null;
NPMIP_TotalTrees = 0; 
NPMIP_ZIndex = 5000;

function NPMIP_f_StartIt() 
{
	if(NPMIP_AreCreated) return;	
	if((typeof(document.body) == "undefined") || (document.body == null)) return;
	
	NPMIP_AreLoaded = true;
	
	if (NPMIP_ClickKill) 
	{
		NPMIP_f_OtherMouseDown = (document.onmousedown) ? document.onmousedown :  new Function;
    		document.onmousedown = function(){NPMIP_f_PageClick();NPMIP_f_OtherMouseDown()}
    	}
	else 
	{
		NPMIP_TopMilliSecondsVisible = NPMIP_TopSecondsVisible * 1000;
	}
    NPMIP_f_MakeTrees();
    NPMIP_f_OtherOnLoad();
}

function NPMIP_f_MakeTrees()
{	
    	NPMIP_BeingCreated = true;
	var TreeParams = null;
	var TreeHasChildren = false;
	var ItemArray = null;

	for(var t = 0; t < NPMIP_a_TreesToBuild.length; t++) 
	{
		if(!NPMIP_f_ValidateArray(NPMIP_ArrayIDPrefix + NPMIP_a_TreesToBuild[t])) continue;
		NPMIP_CurrentArray = eval(NPMIP_ArrayIDPrefix + NPMIP_a_TreesToBuild[t]);

		TreeParams = NPMIP_CurrentArray[0];
		TreeHasChildren = false;

		for(var i=1; i<NPMIP_CurrentArray.length; i++) 
		{
			ItemArray = NPMIP_CurrentArray[i];
			if(ItemArray[ItemArray.length-1]) {TreeHasChildren = true; break}
		}
		
		NPMIP_CurrentTree = 
		{
			MenuWidth        : MenuWidth = NPMIP_f_EvalParameters(TreeParams[0],NPMIP_MenuWidth,"number"),
			MenuLeft         : MenuLeft = NPMIP_f_EvalParameters(TreeParams[1],null,"delayed"),
			MenuTop          : MenuTop = NPMIP_f_EvalParameters(TreeParams[2],null,"delayed"),
			ItemWidth        : MenuWidth - (NPMIP_BorderWidth*2),
			FontColor        : NPMIP_f_EvalParameters(TreeParams[3],NPMIP_FontColor),
			FontColorOver    : NPMIP_f_EvalParameters(TreeParams[4],NPMIP_FontColorOver),
			BGColor          : NPMIP_f_EvalParameters(TreeParams[5],NPMIP_BGColor),
			BGColorOver      : NPMIP_f_EvalParameters(TreeParams[6],NPMIP_BGColorOver),
			BorderColor      : NPMIP_f_EvalParameters(TreeParams[7],NPMIP_BorderColor),
			SeparatorColor   : NPMIP_f_EvalParameters(TreeParams[8],NPMIP_SeparatorColor),
			TopIsPermanent   : ((MenuLeft == null) || (MenuTop == null)) ? false : NPMIP_f_EvalParameters(TreeParams[9],false,"boolean"),
			TopIsHorizontal  : TopIsHorizontal = NPMIP_f_EvalParameters(TreeParams[10],false,"boolean"),
			TreeIsHorizontal : TreeHasChildren ? NPMIP_f_EvalParameters(TreeParams[11],false,"boolean") : false,
			PositionUnder    : (!TopIsHorizontal || !TreeHasChildren) ? false : NPMIP_f_EvalParameters(TreeParams[12],false,"boolean"),
			TopImageShow     : TreeHasChildren ? NPMIP_f_EvalParameters(TreeParams[13],true,"boolean")  : false,
			TreeImageShow    : TreeHasChildren ? NPMIP_f_EvalParameters(TreeParams[14],true,"boolean")  : false,
			UponDisplay      : NPMIP_f_EvalParameters(TreeParams[15],NPMIP_UponDisplay,"delayed"),
			UponHide         : NPMIP_f_EvalParameters(TreeParams[16],NPMIP_UponHide,"delayed"),
			RightToLeft      : NPMIP_f_EvalParameters(TreeParams[17],NPMIP_RightToLeft,"boolean"),
			ClickStart		 : NPMIP_f_EvalParameters(TreeParams[18],NPMIP_ClickStart,"boolean"),
			TopIsVariableWidth  : NPMIP_f_EvalParameters(TreeParams[19],false,"boolean"),
			TreeIsVariableWidth  : NPMIP_f_EvalParameters(TreeParams[20],false,"boolean")
		}

		NPMIP_CurrentMenu = null;
		NPMIP_f_MakeMenu(NPMIP_a_TreesToBuild[t]);
		NPMIP_a_TopMenus[NPMIP_TotalTrees] = NPMIP_CurrentTree.treeParent;
		NPMIP_TotalTrees++;
		if(NPMIP_CurrentTree.TopIsPermanent)
		{
			with(NPMIP_CurrentTree.treeParent) {
				NPMIP_CurrentTree.treeParent.xPos = eval(NPMIP_CurrentTree.MenuLeft);
				NPMIP_CurrentTree.treeParent.yPos = eval(NPMIP_CurrentTree.MenuTop);
				moveTo(NPMIP_CurrentTree.treeParent.xPos,NPMIP_CurrentTree.treeParent.yPos);
				style.zIndex = NPMIP_ZIndex;
			}
			
			if(NPMIP_IE5M) setTimeout(NPMIP_CurrentTree.treeParent.id + ".fixSize(true)",10);	
			else NPMIP_CurrentTree.treeParent.style.visibility = "visible";
		}
    	}

	//if(NPMIP_StatusDisplayBuild) status = NPMIP_TotalTrees + " Hierarchical Menu Trees Created";
	if(NPMIP_StatusDisplayBuild) status = "SysPoint";
	NPMIP_AreCreated = true;
	NPMIP_BeingCreated = false;
}

function NPMIP_f_SetItemProperties(itemidsuffix) {
	this.tree        = NPMIP_CurrentTree;
	this.index       = NPMIP_CurrentMenu.itemCount - 1;
	this.isLastItem  = (NPMIP_CurrentMenu.itemCount == NPMIP_CurrentMenu.maxItems);
	this.array		 = NPMIP_CurrentMenu.array[NPMIP_CurrentMenu.itemCount];
	this.dispText    = this.array[0];
	this.linkText    = this.array[1];
	this.permHilite  = NPMIP_f_EvalParameters(this.array[3],false,"boolean");
	this.hasRollover = (!this.permHilite && NPMIP_f_EvalParameters(this.array[2],true,"boolean"));
	this.hasMore	 = NPMIP_f_EvalParameters(this.array[4],false,"boolean") && NPMIP_f_ValidateArray(NPMIP_ArrayIDPrefix + itemidsuffix);
	this.childID	 = this.hasMore ? (NPMIP_MenuIDPrefix + itemidsuffix) : null;
	this.child		 = null;
    this.onmouseover = NPMIP_f_ItemOver;
    this.onmouseout  = NPMIP_f_ItemOut;
	this.setItemStyle = NPMIP_f_SetItemStyle;
	this.showChild   = NPMIP_f_ShowChild;
	this.ClickStart = this.hasMore && this.tree.ClickStart && (this.tree.TopIsPermanent && (this.tree.treeParent==this.menu));
	if(this.ClickStart) {
		this.linkText = "";
		this.onclick = this.showChild;
	}
	this.ChildOverlap = null;
}

function NPMIP_f_MakeElement(menuid) {
	var MenuObject;
	MenuObject = document.createElement("DIV");

	if(NPMIP_IE)NPMIP_f_StoreElement(MenuObject);

	with(MenuObject){
		id = menuid;
		with(style) {
			position = "absolute";
			visibility = "hidden";
			left = "-500px";
			top = "0px";
			width = (NPMIP_IEnoDTD ? NPMIP_CurrentTree.MenuWidth : NPMIP_CurrentTree.ItemWidth) + "px";
		}
	}
	document.body.appendChild(MenuObject);
	return MenuObject;
}

function NPMIP_f_MakeMenu(menucount) {
	if(!NPMIP_f_ValidateArray(NPMIP_ArrayIDPrefix + menucount)) return false;
	NPMIP_CurrentArray = eval(NPMIP_ArrayIDPrefix + menucount);

	NewMenu = document.getElementById(NPMIP_MenuIDPrefix + menucount);
	if(!NewMenu){
		NewMenu = NPMIP_f_MakeElement(NPMIP_MenuIDPrefix + menucount);
		if(NPMIP_CurrentMenu) {
			NewMenu.parentMenu = NPMIP_CurrentMenu;
			NewMenu.parentItem = NPMIP_CurrentMenu.itemElement;
			NewMenu.parentItem.child = NewMenu;
			NewMenu.hasParent = true;
			NewMenu.isHorizontal = NPMIP_CurrentTree.TreeIsHorizontal;
			NewMenu.showImage = NPMIP_CurrentTree.TreeImageShow;
		}
		else {
			NewMenu.isHorizontal = NPMIP_CurrentTree.TopIsHorizontal;
			NewMenu.showImage = NPMIP_CurrentTree.TopImageShow;
			NPMIP_CurrentTree.treeParent = NPMIP_CurrentTree.startChild = NewMenu;
		}

		NPMIP_CurrentMenu = NewMenu;
		NPMIP_CurrentMenu.array = NPMIP_CurrentArray;
		NPMIP_CurrentMenu.tree  = NPMIP_CurrentTree;
		NPMIP_CurrentMenu.itemCount = 0;
		NPMIP_CurrentMenu.maxItems = NPMIP_CurrentMenu.array.length - 1;
		NPMIP_CurrentMenu.IsVariableWidth = ((NPMIP_CurrentMenu.hasParent && NPMIP_CurrentTree.TreeIsVariableWidth) || (!NPMIP_CurrentMenu.hasParent && NPMIP_CurrentTree.TopIsVariableWidth));
		NPMIP_CurrentMenu.showIt = NPMIP_f_ShowIt;
		NPMIP_CurrentMenu.count = menucount;
		NPMIP_CurrentMenu.keepInWindow = NPMIP_f_KeepInWindow;
		NPMIP_CurrentMenu.onmouseover = NPMIP_f_MenuOver;
		NPMIP_CurrentMenu.onmouseout = NPMIP_f_MenuOut;
		NPMIP_CurrentMenu.hideTree = NPMIP_f_HideTree
		NPMIP_CurrentMenu.hideParents = NPMIP_f_HideParents;
		NPMIP_CurrentMenu.hideChildren = NPMIP_f_HideChildren;
		NPMIP_CurrentMenu.hideTop = NPMIP_f_HideTop;
		NPMIP_CurrentMenu.hideSelf = NPMIP_f_HideSelf;
		NPMIP_CurrentMenu.hasChildVisible = false;
		NPMIP_CurrentMenu.isOn = false;
		NPMIP_CurrentMenu.hideTimer = null;
		NPMIP_CurrentMenu.currentItem = null;
		NPMIP_CurrentMenu.setMenuStyle = NPMIP_f_SetMenuStyle;
		NPMIP_CurrentMenu.sizeFixed = false;
		NPMIP_CurrentMenu.fixSize = NPMIP_f_FixSize;

		if(NPMIP_IE) NPMIP_CurrentMenu.onselectstart = NPMIP_f_CancelSelect;
		NPMIP_CurrentMenu.moveTo = NPMIP_f_MoveTo;
		NPMIP_CurrentMenu.setMenuStyle();
	}

	while (NPMIP_CurrentMenu.itemCount < NPMIP_CurrentMenu.maxItems) 
	{
		NPMIP_CurrentMenu.itemCount++;
		NPMIP_CurrentMenu.itemElement = document.getElementById(NPMIP_ItemIDPrefix + menucount + "_" + NPMIP_CurrentMenu.itemCount);
		if(!NPMIP_CurrentMenu.itemElement){
			//if(NPMIP_StatusDisplayBuild) status = "Creating Hierarchical Menus: " + menucount + " / " + NPMIP_CurrentMenu.itemCount;
			
			NPMIP_CurrentMenu.itemElement = NPMIP_f_MakeItemElement(menucount);
		}
		if(NPMIP_CurrentMenu.itemElement.hasMore && (!NPMIP_CreateTopOnly || NPMIP_AreCreated && NPMIP_CreateTopOnly)) {
		MenuCreated = NPMIP_f_MakeMenu(menucount + "_" + NPMIP_CurrentMenu.itemCount);
    	    	if(MenuCreated) 
    	    	{
			NPMIP_CurrentMenu = NPMIP_CurrentMenu.parentMenu;
		}
	}
    }
	if(!NPMIP_IE5M)NPMIP_CurrentMenu.fixSize();
	return NPMIP_CurrentMenu;
}

function NPMIP_f_SetMenuStyle(){
	with(this.style) {
		borderWidth = NPMIP_BorderWidth + "px";
		borderColor = NPMIP_CurrentTree.BorderColor;
		borderStyle = NPMIP_BorderStyle;
		overflow    = "hidden";
		cursor      = "default";
	}
}

function NPMIP_f_MakeItemElement(menucount) {
	var ItemElement = document.createElement("DIV");

	if(NPMIP_IE)NPMIP_f_StoreElement(ItemElement);

	ItemElement.id = NPMIP_ItemIDPrefix + menucount + "_" + NPMIP_CurrentMenu.itemCount;
	ItemElement.style.position = "absolute";
	ItemElement.style.visibility = "inherit";
	NPMIP_CurrentMenu.appendChild(ItemElement);
	ItemElement.menu = NPMIP_CurrentMenu;
	ItemElement.setItemProperties = NPMIP_f_SetItemProperties;
	ItemElement.setItemProperties(menucount + "_" + NPMIP_CurrentMenu.itemCount);
	ItemElement.siblingBelow = ItemElement.previousSibling;
	if(ItemElement.linkText && !ItemElement.ClickStart) {
		ItemElement.onclick = NPMIP_f_LinkIt;
		if(NPMIP_ShowLinkCursor)ItemElement.style.cursor = NPMIP_NS6 ? "pointer" : "hand";
	}
	var FullPadding  = (NPMIP_ItemPadding*2) + NPMIP_ImageSize + NPMIP_ImageHorizSpace;

	ItemElement.hasImage = (ItemElement.hasMore && NPMIP_CurrentMenu.showImage);
    if(ItemElement.hasImage) {
		var ImageElement = document.createElement("IMG");

		if(NPMIP_IE)NPMIP_f_StoreElement(ImageElement);

		ItemElement.imageSrc = NPMIP_CurrentTree.RightToLeft ? NPMIP_ImageSrcLeft : NPMIP_ImageSrc;
		ItemElement.hasImageRollover = ((!NPMIP_CurrentTree.RightToLeft && NPMIP_ImageSrcOver) || (NPMIP_CurrentTree.RightToLeft && NPMIP_ImageSrcLeftOver));
		if(ItemElement.hasImageRollover) {
			ItemElement.imageSrcOver = NPMIP_CurrentTree.RightToLeft ? NPMIP_ImageSrcLeftOver : NPMIP_ImageSrcOver;
			if(ItemElement.permHilite) ItemElement.imageSrc = ItemElement.imageSrcOver;
		}

		with(ImageElement){
			src = ItemElement.imageSrc;
			removeAttribute("height");
			hspace = (!NPMIP_CurrentTree.RightToLeft && NPMIP_IE5W) ? NPMIP_ItemPadding : 0;
			vspace = 0;
			width = NPMIP_ImageSize;
			with(style) {
				position = "absolute";
				top = (NPMIP_ItemPadding + NPMIP_ImageVertSpace) + "px";

				if(NPMIP_CurrentTree.RightToLeft) {
					left = (NPMIP_ItemPadding + NPMIP_ImageHorizSpace) + "px";
				}
			}
		}
		ItemElement.imgLyr = ImageElement;
	}
	ItemElement.innerHTML = ItemElement.dispText;
	if(ImageElement) ItemElement.insertBefore(ImageElement,ItemElement.firstChild);
	ItemElement.setItemStyle();
	return ItemElement;
}

function NPMIP_f_SetItemStyle() {
	with(this.style){
		backgroundColor = (this.permHilite) ? NPMIP_CurrentTree.BGColorOver : NPMIP_CurrentTree.BGColor;
		color = (this.permHilite) ? NPMIP_CurrentTree.FontColorOver : NPMIP_CurrentTree.FontColor;
		padding = NPMIP_ItemPadding +"px";
		font = ((NPMIP_FontBold) ? "bold " : "normal ") + NPMIP_FontSize + "pt " + NPMIP_FontFamily;
		fontStyle = (NPMIP_FontItalic) ? "italic" : "normal";
		if(NPMIP_IE) overflow = "hidden";

		if((this.menu.showImage && (!this.menu.IsVariableWidth || (this.menu.IsVariableWidth && this.tree.RightToLeft && !this.menu.isHorizontal))) || (this.menu.IsVariableWidth && this.imgLyr)) {

			var FullPadding  = (NPMIP_ItemPadding*2) + NPMIP_ImageSize + NPMIP_ImageHorizSpace;
			if (NPMIP_CurrentTree.RightToLeft) paddingLeft = FullPadding + "px";
			else paddingRight = FullPadding + "px";
		}
		if(!this.isLastItem) {
			var SeparatorString = NPMIP_SeparatorSize + "px solid " + this.tree.SeparatorColor;
			if (this.menu.isHorizontal) borderRight = SeparatorString;
			else borderBottom = SeparatorString;
		}

		if(this.menu.isHorizontal){
			top = "0px";
			if(!this.menu.IsVariableWidth) {
				if(NPMIP_IEnoDTD){
					if(this.isLastItem) width = (NPMIP_CurrentTree.MenuWidth - NPMIP_BorderWidth - NPMIP_SeparatorSize) + "px";
					else width = (NPMIP_CurrentTree.MenuWidth - NPMIP_BorderWidth) + "px";
					left = (this.index * (NPMIP_CurrentTree.MenuWidth - NPMIP_BorderWidth)) + "px";
				}
				else {
					width = (NPMIP_CurrentTree.MenuWidth - NPMIP_BorderWidth - parseInt(paddingLeft) - parseInt(paddingRight) - NPMIP_SeparatorSize) + "px";
					left = ((this.index * parseInt(width)) + ((NPMIP_SeparatorSize * this.index)))  + ((parseInt(paddingLeft) + parseInt(paddingRight)) * this.index) + "px";
				}
				var LeftAndWidth = parseInt(left) + parseInt(width);
				this.menu.style.width = LeftAndWidth + (NPMIP_IEnoDTD ? (NPMIP_BorderWidth * 2) : (parseInt(paddingLeft) + parseInt(paddingRight))) + "px"
			}
		}
		else {
			left = "0px";
			if(!this.menu.IsVariableWidth) {
				if(NPMIP_IEnoDTD) width = NPMIP_CurrentTree.ItemWidth + "px";
				else width = (NPMIP_CurrentTree.ItemWidth - (parseInt(paddingLeft) + parseInt(paddingRight))) + "px";
			}

		}
	}
}

function NPMIP_f_FixSize(makevis){
	if(this.isHorizontal) {
		if(this.IsVariableWidth) {
		    for(i=0; i<this.childNodes.length; i++) {
		        var TempItem = this.childNodes[i];
				TempItem.realWidth = NPMIP_IE ? TempItem.scrollWidth : TempItem.offsetWidth;
				if(NPMIP_IE5M) TempItem.realWidth += (parseInt(TempItem.style.paddingLeft) + parseInt(TempItem.style.paddingRight))
				if(NPMIP_IEnoDTD){
					if(TempItem.isLastItem) TempItem.style.width = (TempItem.realWidth) + "px";
					else TempItem.style.width = (TempItem.realWidth + NPMIP_SeparatorSize) + "px";
					TempItem.style.left = (TempItem.index ? parseInt(TempItem.siblingBelow.style.left) + parseInt(TempItem.siblingBelow.style.width) : 0) + "px";
				}
				else { 
					if(TempItem.hasImage && !NPMIP_CurrentTree.RightToLeft) {
						TempItem.realWidth += NPMIP_ItemPadding;
					}
					TempItem.realWidth -= (parseInt(TempItem.style.paddingLeft) + parseInt(TempItem.style.paddingRight))
 					if(!NPMIP_IE5M && !TempItem.isLastItem)  TempItem.realWidth -= NPMIP_SeparatorSize;
					TempItem.allowableWidth = TempItem.tree.ItemWidth - (parseInt(TempItem.style.paddingLeft) + parseInt(TempItem.style.paddingRight));
					TempItem.style.width = Math.min(TempItem.allowableWidth,TempItem.realWidth) + "px";
					TempItem.style.left = (TempItem.index ? (parseInt(TempItem.siblingBelow.style.left) + TempItem.siblingBelow.offsetWidth) : 0) + "px";
				}
				if(TempItem.isLastItem) {
					LeftAndWidth = parseInt(TempItem.style.left) + parseInt(TempItem.style.width);
					this.style.width = LeftAndWidth + (NPMIP_IEnoDTD ? (NPMIP_BorderWidth * 2) : (parseInt(TempItem.style.paddingLeft) + parseInt(TempItem.style.paddingRight))) + "px";
				}
			}
		}

		var MaxItemHeight = 0;
	    for(i=0; i<this.childNodes.length; i++) {
	        var TempItem = this.childNodes[i];
		    if(TempItem.index) {
				var SiblingHeight = TempItem.siblingBelow.offsetHeight - (NPMIP_IEnoDTD ? 0 : (NPMIP_ItemPadding * 2));
				MaxItemHeight = Math.max(MaxItemHeight,SiblingHeight);
			}
	       	else {
				MaxItemHeight = TempItem.offsetHeight - (NPMIP_IEnoDTD ? 0 : (NPMIP_ItemPadding * 2));
			}
		}
	    for(i=0; i<this.childNodes.length; i++) {
	        var TempItem = this.childNodes[i];
			TempItem.style.height = MaxItemHeight +"px";
			if(TempItem.imgLyr) {
				if(this.tree.RightToLeft){
					TempItem.imgLyr.style.left = (NPMIP_ItemPadding + NPMIP_ImageHorizSpace) + "px";
				}
				else {
					TempItem.imgLyr.style.left = (TempItem.offsetWidth - ((TempItem.isLastItem ? 0 : NPMIP_SeparatorSize) + (NPMIP_IEnoDTD ? NPMIP_IE5M ? NPMIP_ItemPadding : NPMIP_ItemPadding * 2 : NPMIP_ItemPadding) + NPMIP_ImageHorizSpace + NPMIP_ImageSize)) + "px";
				}
			}
		}

		this.style.height = MaxItemHeight + (NPMIP_IEnoDTD ? NPMIP_BorderWidth * 2 : (NPMIP_ItemPadding * 2)) + "px";
	}
	else {
		if(this.IsVariableWidth) {
			var MaxItemWidth = 0;
	    	for(i=0; i<this.childNodes.length; i++) {
	        	var TempItem = this.childNodes[i];
				TempItem.realWidth = NPMIP_IE ? TempItem.scrollWidth : TempItem.offsetWidth;
				if(NPMIP_IE5M) TempItem.realWidth += (parseInt(TempItem.style.paddingLeft) + parseInt(TempItem.style.paddingRight))
				if(!NPMIP_IEnoDTD)	{
					TempItem.realWidth -= ((parseInt(TempItem.style.paddingRight) + parseInt(TempItem.style.paddingLeft)))
				}
				MaxItemWidth = i ? Math.max(MaxItemWidth,TempItem.realWidth) : TempItem.realWidth;
				if(MaxItemWidth==TempItem.realWidth) TempWidest = TempItem;
			}

	    	for(i=0; i<this.childNodes.length; i++) {
				this.childNodes[i].style.width = (TempWidest.realWidth + (NPMIP_IEnoDTD ? 0 : (0))) + "px";
				if(!NPMIP_IEnoDTD) {
					this.childNodes[i].style.paddingLeft = TempWidest.style.paddingLeft;
					this.childNodes[i].style.paddingRight = TempWidest.style.paddingRight;
				}
			}
			this.style.width = (this.childNodes[0].offsetWidth +  (NPMIP_IEnoDTD ? NPMIP_BorderWidth * 2 : 0)) + "px";
		}

	    for(i=0; i<this.childNodes.length; i++) {
	        var TempItem = this.childNodes[i];
		    if (TempItem.index) {
				var SiblingHeight =(TempItem.siblingBelow.offsetHeight);
				TempItem.style.top = parseInt(TempItem.siblingBelow.style.top) + SiblingHeight + "px";
			}
			else TempItem.style.top = "0px";

			if(TempItem.imgLyr) {
				if(this.tree.RightToLeft){
					TempItem.imgLyr.style.left = (NPMIP_ItemPadding + NPMIP_ImageHorizSpace) + "px";
				}
				else {
					TempItem.imgLyr.style.left = (TempItem.offsetWidth - ((NPMIP_IEnoDTD ? NPMIP_IE5M ? NPMIP_ItemPadding : NPMIP_ItemPadding*2 :  NPMIP_ItemPadding) + NPMIP_ImageHorizSpace + NPMIP_ImageSize)) + "px";
				}
			}
		}
		this.style.height = parseInt(TempItem.style.top) + (NPMIP_IE5W ? TempItem.scrollHeight : TempItem.offsetHeight) + (NPMIP_IEnoDTD ? (NPMIP_BorderWidth * 2) : 0) + "px";
	}

	this.sizeFixed = true;
	if(makevis)this.style.visibility = "visible";
}

function setLinkAndGo(menuname, link, event)
{
	if(NPMIP_Link != null) NPMIP_Link = null;
	
	NPMIP_Link = link;
	NPMIP_f_PopUp(menuname, event);
}

function NPMIP_f_PopUp(menuname, e)
{	
	if(NPMIP_IE) e = event;
	if (!NPMIP_AreLoaded) return;
	menuname = menuname.replace("elMenu", NPMIP_MenuIDPrefix);
	var TempMenu = document.getElementById(menuname);
	if(!TempMenu)return;
	NPMIP_CurrentMenu = TempMenu;
	if (NPMIP_CurrentMenu.tree.ClickStart) 
	{
		var ClickElement = (NPMIP_IE) ? e.srcElement : e.target;
		if(NPMIP_NS6) 
		{
			while(ClickElement.tagName == null)
			{
				ClickElement = ClickElement.parentNode;
			}
		}
		ClickElement.onclick = NPMIP_f_PopMenu;
	}
	else NPMIP_f_PopMenu(e);
}

function NPMIP_f_PopMenu(e)
{
	if(NPMIP_IE) e = event;
	if (!NPMIP_AreLoaded || !NPMIP_AreCreated) return true;
	if (NPMIP_CurrentMenu.tree.ClickStart && e.type != "click") return true;
	var mouse_x_position, mouse_y_position;
	NPMIP_f_HideAll();
	NPMIP_CurrentMenu.hasParent = false;

	NPMIP_CurrentMenu.tree.startChild = NPMIP_CurrentMenu;
	NPMIP_CurrentMenu.mouseX = mouse_x_position = (NPMIP_IE) ? (e.clientX + document.body.scrollLeft) : e.pageX;
	NPMIP_CurrentMenu.mouseY = mouse_y_position = (NPMIP_IE) ? (e.clientY + document.body.scrollTop)  : e.pageY;
	NPMIP_CurrentMenu.xIntended = NPMIP_CurrentMenu.xPos = (NPMIP_CurrentMenu.tree.MenuLeft!=null) ? eval(NPMIP_CurrentMenu.tree.MenuLeft) : mouse_x_position;
	NPMIP_CurrentMenu.yIntended = NPMIP_CurrentMenu.yPos = (NPMIP_CurrentMenu.tree.MenuTop!=null)  ? eval(NPMIP_CurrentMenu.tree.MenuTop)  : mouse_y_position;
	if(NPMIP_IE5M && !NPMIP_CurrentMenu.sizeFixed) NPMIP_CurrentMenu.fixSize(false);
	NPMIP_CurrentMenu.keepInWindow();
	NPMIP_CurrentMenu.moveTo(NPMIP_CurrentMenu.xPos,NPMIP_CurrentMenu.yPos);
	NPMIP_CurrentMenu.isOn = true;
	NPMIP_CurrentMenu.showIt(true);
	return false;
}

function NPMIP_f_MenuOver() 
{
	if(!this.tree.startChild){this.tree.startChild = this}
	if(this.tree.startChild == this) NPMIP_f_HideAll(this)
    this.isOn = true;
    NPMIP_UserOverMenu = true;
    NPMIP_CurrentMenu = this;
    if (this.hideTimer) clearTimeout(this.hideTimer);
}

function NPMIP_f_MenuOut() {
	if(NPMIP_IE && event.srcElement.contains(event.toElement)) return;
    this.isOn = false;
    NPMIP_UserOverMenu = false;
    if(NPMIP_StatusDisplayLink) status = "";
	if(!NPMIP_ClickKill) {
		clearTimeout(NPMIP_HideAllTimer);
		NPMIP_HideAllTimer = null;
		NPMIP_HideAllTimer = setTimeout("NPMIP_CurrentMenu.hideTree()",NPMIP_ChildMilliSecondsVisible); 
	}
}

function NPMIP_f_ShowChild(){
		if(!this.child) {
			NPMIP_CurrentTree = this.tree;
			NPMIP_CurrentMenu = this.menu;
			NPMIP_CurrentItem = this;
			NPMIP_CurrentMenu.itemElement = this;
			this.child = NPMIP_f_MakeMenu(this.menu.count + "_"+(this.index+1));
			this.tree.treeParent = this.menu;
			this.tree.startChild = this.menu;
		}
		if(NPMIP_IE5M && !this.child.sizeFixed) this.child.fixSize(false);

		if (this.tree.PositionUnder && (this.menu == this.tree.treeParent)) {
			this.child.xPos = parseInt(this.menu.style.left) + parseInt(this.style.left);
			this.child.yPos = parseInt(this.menu.style.top)  + this.menu.offsetHeight - (NPMIP_BorderWidth);
		}
		else {
			if(this.ChildOverlap==null) {
				this.DistanceToRightEdge = parseInt(this.style.width);
				if(!NPMIP_IEnoDTD) this.DistanceToRightEdge += (parseInt(this.style.paddingLeft)+parseInt(this.style.paddingRight)) + ((this.menu.isHorizontal && !this.isLastItem) ? NPMIP_SeparatorSize : 0); 
				if (!this.menu.isHorizontal || (this.menu.isHorizontal && this.isLastItem)) this.DistanceToRightEdge += NPMIP_BorderWidth;
				this.DistanceToLeftEdge = (!this.menu.isHorizontal || (this.menu.isHorizontal && this.index==0)) ? NPMIP_BorderWidth : NPMIP_SeparatorSize;
				this.ChildOverlap = (parseInt((NPMIP_ChildPerCentOver != null) ? (NPMIP_ChildPerCentOver  * this.DistanceToRightEdge) : NPMIP_ChildOverlap));
			}

			if(NPMIP_IE5M) {
				this.oL = parseInt(this.menu.style.left) - NPMIP_ItemPadding;
				this.oL += this.offsetLeft;
				this.oT = parseInt(this.menu.style.top) - NPMIP_ItemPadding;
				this.oT += this.offsetTop;
			}
			else {
				this.oL = (NPMIP_IEpos) ? parseInt(this.menu.style.left) + NPMIP_BorderWidth : 0;
				this.oL += this.offsetLeft;
				this.oT = (NPMIP_IEpos) ? parseInt(this.menu.style.top) : -NPMIP_BorderWidth;
				this.oT += this.offsetTop;
			}

			if(this.tree.RightToLeft) {
				this.child.xPos = ((this.oL - this.DistanceToLeftEdge) + this.ChildOverlap) - this.child.offsetWidth;
			}
			else {		
				this.child.xPos = (this.oL + this.DistanceToRightEdge) - this.ChildOverlap;
			}
			this.child.yPos = this.oT + NPMIP_ChildOffset + NPMIP_BorderWidth;
		}

		this.child.xDiff = this.child.xPos - parseInt(this.menu.style.left);
		this.child.yDiff = this.child.yPos - parseInt(this.menu.style.top);

        if(!this.tree.PositionUnder || this.menu!=this.tree.treeParent) this.child.keepInWindow();
		this.child.moveTo(this.child.xPos,this.child.yPos);
        this.menu.hasChildVisible = true;
        this.menu.visibleChild = this.child;
        this.child.showIt(true);
    }

function NPMIP_f_ItemOver(){
    if (NPMIP_KeepHilite) {
        if (this.menu.currentItem && this.menu.currentItem != this && this.menu.currentItem.hasRollover) {
			with(this.menu.currentItem.style){
				backgroundColor = this.tree.BGColor;
            	color = this.tree.FontColor
			}
			if(this.menu.currentItem.hasImageRollover)this.menu.currentItem.imgLyr.src = this.menu.currentItem.imageSrc;
        }
    }
	if(NPMIP_IE && event.srcElement.id == "NPMIP_ImMore") return;
	if(this.hasRollover) {
	    this.style.backgroundColor = this.tree.BGColorOver;
	    this.style.color = this.tree.FontColorOver;
		if(this.hasImageRollover)this.imgLyr.src = this.imageSrcOver;
	}

    if(NPMIP_StatusDisplayLink) status = this.linkText;
    this.menu.currentItem = this;

	if (this.menu.hasChildVisible) {
		if(this.menu.visibleChild == this.child && this.menu.visibleChild.hasChildVisible) this.menu.visibleChild.hideChildren(this);
		else this.menu.hideChildren(this);
    }

    if (this.hasMore && !this.ClickStart) this.showChild();
}

function NPMIP_f_ItemOut() {
	if (NPMIP_IE && (event.srcElement.contains(event.toElement)
	  || (event.fromElement.tagName=="IMG" && (event.toElement && event.toElement.contains(event.fromElement)))))
		  return;
    if ( (!NPMIP_KeepHilite || ((this.tree.TopIsPermanent && (this.tree.treeParent==this)) && !this.menu.hasChildVisible)) && this.hasRollover) {
        with(this.style) {
			backgroundColor = this.tree.BGColor;
        	color = this.tree.FontColor
		}
		if(this.hasImageRollover)this.imgLyr.src = this.imageSrc;
    }
}

function NPMIP_f_MoveTo(xPos,yPos) {
	this.style.left = xPos + "px";
	this.style.top = yPos + "px";
}

function NPMIP_f_ShowIt(on) 
{
	if (!(this.tree.TopIsPermanent && (this.tree.treeParent==this))) 
	{
		if(!this.hasParent || (this.hasParent && this.tree.TopIsPermanent && (this.tree.treeParent==this.parentMenu))) 
		{
			var IsVisible = (this.style.visibility == "visible");
			if ((on && !IsVisible) || (!on && IsVisible)) eval(on ? this.tree.UponDisplay : this.tree.UponHide)
		}
		if (on) 
		{
			this.style.zIndex = ++NPMIP_ZIndex;
			
			if(NPMIP_Link != null) 
			{
				if( (NPMIP_Link.indexOf("ConnectExpert") != -1 && this.dispText.indexOf("Connect Expert") != -1) || (NPMIP_Link.indexOf("ConnectExpert") == -1 && this.dispText.indexOf("Connect Expert") == -1))
				{
					this.linkText = NPMIP_Link;
					this.onclick = NPMIP_f_LinkIt;
				}
			}
		}
		
		this.style.visibility = (on) ? "visible" : "hidden";
	}
	
	if (NPMIP_KeepHilite && this.currentItem)
	{
		if(this.currentItem.hasRollover) 
			{
			with(this.currentItem.style)
			{
				backgroundColor = this.tree.BGColor;
				color = this.tree.FontColor;
			}

			if(this.currentItem.hasImageRollover)this.currentItem.imgLyr.src = this.currentItem.imageSrc;
		}
	}
	
	this.currentItem = null;
}

function NPMIP_f_KeepInWindow() {
    var ExtraSpace     = 10;
	var WindowLeftEdge = (NPMIP_IE) ? document.body.scrollLeft   : window.pageXOffset;
	var WindowTopEdge  = (NPMIP_IE) ? document.body.scrollTop    : window.pageYOffset;
	var WindowWidth    = (NPMIP_IE) ? document.body.clientWidth  : window.innerWidth;
	var WindowHeight   = (NPMIP_IE) ? document.body.clientHeight : window.innerHeight;
	var WindowRightEdge  = (WindowLeftEdge + WindowWidth) - ExtraSpace;
	var WindowBottomEdge = (WindowTopEdge + WindowHeight) - ExtraSpace;

	var MenuLeftEdge = this.xPos;
	var MenuRightEdge = MenuLeftEdge + this.offsetWidth;
	var MenuBottomEdge = this.yPos + this.offsetHeight;

	if (this.hasParent) {
		var ParentLeftEdge = this.parentItem.oL;
	}
	if (MenuRightEdge > WindowRightEdge) {
		if (this.hasParent) {
			this.xPos = ((ParentLeftEdge - this.parentItem.DistanceToLeftEdge) + this.parentItem.ChildOverlap) - this.offsetWidth;
		}
		else {
			dif = MenuRightEdge - WindowRightEdge;
			this.xPos -= dif;
		}
		this.xPos = Math.max(5,this.xPos);
	}

	if (MenuBottomEdge > WindowBottomEdge) {
		dif = MenuBottomEdge - WindowBottomEdge;
		this.yPos -= dif;
	}

	if (MenuLeftEdge < WindowLeftEdge) {
		if (this.hasParent) {
			this.xPos = (ParentLeftEdge + this.parentItem.DistanceToRightEdge) - this.parentItem.ChildOverlap;
			MenuRightEdge = this.xPos + this.offsetWidth;
			if(MenuRightEdge > WindowRightEdge) this.xPos -= (MenuRightEdge - WindowRightEdge);
		}
		else {this.xPos = 5}
	}       
}

function NPMIP_f_LinkIt() {
    if (this.linkText.indexOf("javascript:")!=-1) eval(this.linkText)
    else 
    {
	NPMIP_f_HideAll();
	location.href = this.linkText;
    }
    NPMIP_Link = null;
}

function NPMIP_f_PopDown(menuname){
    if (!NPMIP_AreLoaded || !NPMIP_AreCreated) return;
	menuname = menuname.replace("elMenu",NPMIP_MenuIDPrefix);
    var MenuToHide = document.getElementById(menuname);
    if(!MenuToHide)return;
    MenuToHide.isOn = false;
    if (!NPMIP_ClickKill) MenuToHide.hideTop();
}

function NPMIP_f_HideAll(callingmenu) {
	for(var i=0; i<NPMIP_TotalTrees; i++) {
        var TopMenu = NPMIP_a_TopMenus[i].tree.startChild;
		if(TopMenu == callingmenu)continue
        TopMenu.isOn = false;
        if (TopMenu.hasChildVisible) TopMenu.hideChildren();
        TopMenu.showIt(false);
    }    
}

function NPMIP_f_HideTree() { 
    NPMIP_HideAllTimer = null;
    if (NPMIP_UserOverMenu) return;
    if (this.hasChildVisible) this.hideChildren();
    this.hideParents();
}

function NPMIP_f_HideTop() {
	TopMenuToHide = this;
    (NPMIP_ClickKill) ? TopMenuToHide.hideSelf() : (this.hideTimer = setTimeout("TopMenuToHide.hideSelf()",NPMIP_TopMilliSecondsVisible));
}

function NPMIP_f_HideSelf() {
    this.hideTimer = null;
    if (!this.isOn && !NPMIP_UserOverMenu) this.showIt(false);
}

function NPMIP_f_HideParents() {
    var TempMenu = this;
    while(TempMenu.hasParent) {
        TempMenu.showIt(false);
        TempMenu.parentMenu.isOn = false;        
        TempMenu = TempMenu.parentMenu;
    }
    TempMenu.hideTop();
}

function NPMIP_f_HideChildren(callingitem) {
    var TempMenu = this.visibleChild;
    while(TempMenu.hasChildVisible) {
        TempMenu.visibleChild.showIt(false);
        TempMenu.hasChildVisible = false;
        TempMenu = TempMenu.visibleChild;
    }
	if((callingitem && (!callingitem.hasMore || this.visibleChild != callingitem.child)) || (!callingitem && !this.isOn)) {
        this.visibleChild.showIt(false);
        this.hasChildVisible = false;
    }
}

function NPMIP_f_CancelSelect(){return false}

function NPMIP_f_PageClick() {
    if (!NPMIP_UserOverMenu && NPMIP_CurrentMenu!=null && !NPMIP_CurrentMenu.isOn) NPMIP_f_HideAll();
}

popUp = NPMIP_f_PopUp;
popDown = NPMIP_f_PopDown;

function NPMIP_f_ResizeHandler(){
	var mouse_x_position, mouse_y_position;
	for(var i=0; i<NPMIP_TotalTrees; i++) {
        var TopMenu = NPMIP_a_TopMenus[i].tree.startChild;
		if(TopMenu.style.visibility == "visible") {
			TopMenu.oldLeft = TopMenu.xPos;
			TopMenu.oldTop = TopMenu.yPos;
			mouse_x_position = TopMenu.mouseX;
			mouse_y_position = TopMenu.mouseY;
			TopMenu.xPos = eval(TopMenu.tree.MenuLeft);
			TopMenu.yPos = eval(TopMenu.tree.MenuTop);
			if(TopMenu.xPos == null) TopMenu.xPos = TopMenu.xIntended;
			if(TopMenu.yPos == null) TopMenu.yPos = TopMenu.yIntended;
			if(!TopMenu.tree.TopIsPermanent) TopMenu.keepInWindow();
			TopMenu.moveTo(TopMenu.xPos,TopMenu.yPos);
			var TempMenu = TopMenu;
		    while(TempMenu.hasChildVisible) {
				TempParent = TempMenu;
				TempMenu = TempMenu.visibleChild;
				TempMenu.xPos = TempParent.xPos + TempMenu.xDiff;
				TempMenu.yPos = TempParent.yPos + TempMenu.yDiff;
				if(!TopMenu.tree.TopIsPermanent || (TopMenu.tree.TopIsPermanent && !TopMenu.tree.PositionUnder)) TempMenu.keepInWindow();
				TempMenu.moveTo(TempMenu.xPos,TempMenu.yPos);
		    }
		}
    }
	NPMIP_f_OtherResize();
}

NPMIP_f_OtherResize = (window.onresize) ? window.onresize :  new Function;
window.onresize = NPMIP_f_ResizeHandler;

NPMIP_f_OtherOnLoad = (window.onload) ? window.onload :  new Function;
window.onload = function(){setTimeout("NPMIP_f_StartIt()", 10)};

if(NPMIP_IE) {
	NPMIP_f_OtherOnUnload = (window.onunload) ? window.onunload :  new Function;
	window.onunload = function(){
		NPMIP_CurrentMenu = null;
		NPMIP_CurrentItem = null;
		NPMIP_CurrentTree.treeParent = null;
		NPMIP_CurrentTree.startChild = null;
	
		var Eclength = NPMIP_a_ElementsCreated.length;
		for(var i = Eclength - 1; i>=0; i--){
			TempElement = NPMIP_a_ElementsCreated[i];
			TempElement.parentMenu = null;
			TempElement.parentItem = null;
			TempElement.itemElement = null;
			TempElement.currentItem = null;
			TempElement.child = null;
			TempElement.siblingBelow = null;
			TempElement.imgLyr = null;
		}
		TempElement = null;
	
		for(var i = 0; i < NPMIP_TotalTrees; i++) {
			NPMIP_a_TopMenus[i].tree.startChild = null;
			NPMIP_a_TopMenus[i].tree.treeParent = null;
		}

		NPMIP_f_OtherOnUnload();
	}
}


//end